<?php
// $Id: bubbletimer.admin.inc,v 1.1.2.1 2009/05/17 10:48:14 itarato Exp $


/**
 * @file
 * Bubbletimer admin page
 */


/**
 * Administer setup form
 * @return array
 */
function bubbletimer_admin_settings_form() {
  $_node_types = node_get_types('types');
  $node_types_values = array();
  foreach ((array)$_node_types as $node_type) {
    $node_types[$node_type->type] = $node_type->name;
    if (bubbletimer_node_type_enable($node_type->type)) {
      $node_types_values[] = $node_type->type;
    }
  }

  $form['bt_fieldset'] = array(
    '#type' => 'fieldset',
    '#title' => t('Bubbletimer global settings'),
  );
  $form['bt_fieldset']['bt_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Allowed node types'),
    '#options' => $node_types,
    '#default_value' => $node_types_values,
  );
  $form['bt_fieldset']['bt_submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );
  return $form;
}


/**
 * Submit event for administer form
 *
 * @param array $form
 * @param array $form_state
 */
function bubbletimer_admin_settings_form_submit($form, $form_state) {
  foreach ((array)$form_state['values']['bt_node_types'] as $node_type => $value) {
    variable_set(sprintf(
      BT_NODE_TYPE_VARIABLE_PATTERN,
      $node_type
    ), ($value !== 0 ? BT_NODE_TYPE_ENABLE : BT_NODE_TYPE_DISABLE));
  }
  drupal_set_message(t('Node type configuration is saved.'));
}

