<?php
// $Id: bubbletimer.user.inc,v 1.1.2.1 2009/05/17 10:48:14 itarato Exp $


/**
 * @file
 * Bubbletimer user's own settings
 */


/**
 * Form for personal settings
 *  - start time
 *  - end time
 *  - chart types
 * @param array $form_status
 * @return string
 */
function bubbletimer_personal_settings_form($form_status) {
  global $user;

  $form['bt_fieldset'] = array(
    '#type' => 'fieldset',
    '#title' => t('Bubbletimer personal settings'),
  );
  $form['bt_fieldset']['bt_piechart'] = array(
    '#title' => t('Display pie chart'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('bubbletimer_piechart_user_'. $user->uid, 0),
  );
  $form['bt_fieldset']['bt_barchart'] = array(
    '#title' => t('Display bar chart'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('bubbletimer_barchart_user_'. $user->uid, 0),
  );
  $form['bt_fieldset']['submit'] = array(
    '#type' => 'submit',
    '#value' => t('Save'),
  );

  return $form;
}


/**
 * Implementation of hook_submit() for personal settings form
 * @param array $form
 * @param array $form_state
 */
function bubbletimer_personal_settings_form_submit($form, &$form_state) {
  global $user;

  variable_set('bubbletimer_piechart_user_'. $user->uid, intval($form_state['values']['bt_piechart']));
  variable_set('bubbletimer_barchart_user_'. $user->uid, intval($form_state['values']['bt_barchart']));

  drupal_set_message(t('Your personal settings are saved'));
}

